Summary: A free virtual machine to run Java(tm) code
Name: kaffe
Version: 0.91
Release: 1
Copyright: GPL
Group: Development/Languages/Java
URL: http://www.kaffe.org/
Packager: Levente Farkas <lfarkas@inf.u-szeged.hu>
Vendor: Levente Farkas <lfarkas@inf.u-szeged.hu>
Source0: ftp://ftp.kaffe.org/pub/kaffe/kaffe-0.9.1.tgz
Source1: kaffe.sh
Source2: kaffe.csh
Source3: kaffe-biss
Patch: kaffe-name.patch
#Prefix: /usr

%description
This is Kaffe, a virtual machine design to execute Java bytecode.
This machine can be configured in two modes.  In one mode it
operates as
a pure bytecode interpreter (not unlike Javasoft's machine); in the second
mode if performs "just-in-time" code conversion from the abstract code to
the host machine's native code.  This will ultimately allow execution of
Java code at the same speed as standard compiled code but while maintaining
the advantages and flexibility of code independence.

%prep
%setup -n kaffe-0.9.1
%patch -p1
cp $RPM_SOURCE_DIR/kaffe.sh .
cp $RPM_SOURCE_DIR/kaffe.csh .
cp $RPM_SOURCE_DIR/kaffe-biss .

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"
strip kaffe/kaffe/kaffe kaffe/kaffeh/kaffeh

%install
make install
mkdir -p /etc/profile.d/
install -m755 kaffe.sh /etc/profile.d/
install -m755 kaffe.csh /etc/profile.d/
install -m755 kaffe-biss /usr/bin/kaffe-%{PACKAGE_VERSION}/

%files
%config /etc/profile.d/kaffe.sh 
%config /etc/profile.d/kaffe.csh
/usr/include/kaffe/
/usr/bin/kaffe-%{PACKAGE_VERSION}/
/usr/bin/kaffe
/usr/bin/kaffeh
/usr/lib/libkaffe_native.so.%{PACKAGE_VERSION}
/usr/lib/libkaffe_native.so
/usr/lib/libkaffe_net.so.%{PACKAGE_VERSION}
/usr/lib/libkaffe_net.so
/usr/lib/libkaffe_agent.so.%{PACKAGE_VERSION}
/usr/lib/libkaffe_agent.so
/usr/lib/libkaffe_vm.so.%{PACKAGE_VERSION}
/usr/lib/libkaffe_vm.so
/usr/man/man1/kaffe.1
%doc README ChangeLog ENVIRONMENT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

